Bug 535138 - (RHQ-1865) test resource permission: Control
test resource permission: Control
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: Simeon Pinder
http://jira.rhq-project.org/browse/RH...
: SubTask
Depends On:
Blocks: RHQ-1848
  Show dependency treegraph
 
Reported: 2009-03-26 13:33 EDT by John Mazzitelli
Modified: 2009-11-10 16:22 EST (History)
0 users

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-03-26 13:33:00 EDT
test that the control permission allows you to execute operations on a resource. I think this also permits you to look at and delete the history. 
Comment 1 Simeon Pinder 2009-04-12 23:22:34 EDT
1) Created 'Everything' group including all discovered resources(See parent issue for details).
2) Create two additional user accounts i) u:none with no role perms and member of everything group. ii)u:control w/ 'control' perms and member of 'Everything'
3) Logged into the app from three separate browsers(FFx2 & IE) with three separate accounts

Following results obtained while viewing/testing " Logged in-> Resources -> Platforms->[Select One] -> Select 'Operations' Tab -> 'View Process List'. :

#u:none - details shown but messages showing 'not enough. permissions to execute shown.
#u:control - details shown and ABLE to execute 'View Process List' successfully.
#u:rhqadmin - details shown and ABLE to execute 'View Process List' successfully.

SUMMARY: working as expected. 
Comment 2 Simeon Pinder 2009-04-12 23:23:09 EDT
Now need to add test to this use case for when the user is NOT in the Everything group and to see if the recent changes to Group visibility still work as expected.
Comment 3 Simeon Pinder 2009-04-15 11:46:14 EDT
Works as advertised with limited Group visibility. No new issues discovered.
Comment 4 Simeon Pinder 2009-04-15 11:46:27 EDT
Works as advertised.
Comment 5 Red Hat Bugzilla 2009-11-10 15:48:24 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1865

Note You need to log in before you can comment on or make changes to this bug.